Subject: Re: FYI: L. Wirzenius's "much mail" page

From: Dean Gaudet <[email-masked]>
Date: Sun, 2 Nov 1997 20:11:16 -0800 (PST)

On 29 Oct 1997, Robin S. Socha wrote:

> DG> Then I switched to qmail as my MTA and started using subaddressing
> DG> heavily.  I'm not even using procmail at the moment.  (You can do
> DG> subaddressing with sendmail+procmail by enabling procmail as the
> DG> local delivery agent... but I didn't find it as nice to use.)
> 
> Yup. But that's not an end-user thing, is it?

Yes, the whole point of subaddressing is that users can create their own
addresses.  All addresses of the form [email-masked] are
controlled by the user dgaudet.  (For procmail/sendmail it would be
[email-masked]).  If I want to create a mailing list using
ezmlm it requires a single command (and includes automatic bounce handling,
archiving, and secure sub/unsub). 

The same support is used to put entire virtual domains under the control
of ordinary users.  My system has a dozen virtual email domains under
control of users and I (root) don't have to do a thing when they need new
aliases, or mailing lists.

> >> >> Different sender addresses, signatures, etc
> >> Fine - will it be included? Pine isn't gpl'ed. I know and respect
> >> the reasons, but it's... not very satisfactory?
> DG> I don't understand what you're asking.  Will that patch be
> DG> included in pine?  No, I doubt it.  It uses a qmail feature to
> DG> set the envelope from, because I couldn't be bothered to do it
> DG> in a way that works with sendmail.  But isn't this the point of
> DG> having the source code?
> 
> I think it is. Can I use the modified source in a commercial
> environment?  What if the UoW decides to change their licence?  This
> is purely hypothetical, and I'm not imposing they would, but that's a
> "business" decision - if you spent a lot of time (=money) to set up a
> site "for pine".

Read <ftp://koobera.math.uic.edu/www/softwarelaw.html>, you can modify
source code and use it, regardless of what the shrinkwrap says, even in
the backwater USA, folks in Europe are even more free.  Even so, the pine
license currently allows local modification explicitly, and allows for
distribution of patches.  In order to seriously change things they'd
have to stop distributing source code.  At which point I would find
the mailer with the most features I need, and add the rest that it
needs and leave pine behind.

> DG> Furthermore, GPL is not a holy grail that all software must meet.
> DG> I'm one of the Apache devlopers.  Apache is not GPL'd.  GPL has
> DG> various limitations that can actually hinder its use; or hinder
> DG> the involvement of some developers.  Apache is available under a
> DG> variant of the Berkeley license.
> 
> Which is different from the pine licence. Correct me if I'm wrong, but 
> I may distribute modified versions of Apache, may I not? Anyway,
> that's not the point (my point, that is) here. As I see it (and I
> don't subscribe to RSM's communists drivel), the GPL and similarly
> oriented licences promote the development of software. IMHO, the pine
> licence does it not in the same way. But that, again, is not the point 
> here. Let's bury the licence discussion, shall we?

Yup you can distribute Apache under the terms of its license, which
minimally means you must state:

    This product includes software developed by the Apache Group
    for use in the Apache HTTP server project (http://www.apache.org/).

In various places.

> [...]
> >> BTW, did you guys have a hard time quoting this mail? Pico must die
> >> RSN... ]:-> Hehehe...
> DG> I've never had pico flake out on me.  I'm using vi at the moment
> DG> however, which I usually do when I need to actually edit.  pico is
> DG> great for quick answers.  Anything more than a half-dozen lines
> DG> and I hit ^_.
> 
> Exquise me - but what's the advantage of pico over vi? It's not faster,
> and that's about the only thing I could ever think of if I were to say
> something positive about pico. You simply *cannot* yank the quotes I use
> properly with pico. Mine and some less fancy ones. I remember clearly
> cursing heavily when several people on one list I subscribed to as a
> newbie were using supercite. Pine needs a better editor, that's all I'm
> saying. I don't expect bells and whistles (actually, I quite like the
> way quotes from different posters get different colours here), but
> pine's editor should provide more in the yanking area than it
> currently does.

Did you enable compose-cut-from-cursor ?  If I want to I can edit your
quotes and citations easily enough in pico, but not as easy as in vi.

pico is way faster if I'm typing a reply in which I do no quoting.  I
don't have to wait for vi to be forked... frequently I can be done the
reply in less time if I use pico.

In practice when I'm using email in the work place I find that it is best
to reply to messages, leaving the previous message quoted but untouched
and placing my response at the top.  Workplace email sometimes starts
off between a few people and is then forwarded on.  Having the full
thread in each message makes this a lot easier to do.

>From a stylistic point of view I find messages of that form far easier
to understand.  I rarely write messages such as this one which include
quotes broken up with my comments.  I also rarely read messages with
nested quotes like this ... which may explain why I have no problem
reading high volume mailing lists with pine ;)  You see, I don't
miss threading because complicated threads usually indicate in-depth
religious or political discussion which is frequently off-topic on the
almost entirely technical mailing lists I frequent... but that, as the
rest of this, is just my opinion, YMMV :)

Dean